## python-testtools 2.4.0

=== requirements.txt ===
pbr>=0.11
extras>=1.0.0
fixtures>=1.3.0
# 'mimeparse' has not been uploaded by the maintainer with Python3 compat
# but someone kindly uploaded a fixed version as 'python-mimeparse'.
python-mimeparse
unittest2>=1.0.0
traceback2
six>=1.4.0

=== debian/changelog ===
python-testtools (2.4.0-0ubuntu1) focal; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream point release for improved Python 3.8 compatibility:
    - d/p/*: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 14:35:13 +0100

python-testtools (2.3.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Debian Janitor ]
  * debian/copyright: Use spaces rather than tabs in continuation lines.

  [ Thomas Goirand ]
  * Removed Py2 tests (Closes: #948990).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jan 2020 17:28:44 +0100

python-testtools (2.3.0-6) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove Robert Collins from uploaders, as he has retired.  Closes: #920508

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938215).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 18:51:58 +0200

python-testtools (2.3.0-5) unstable; urgency=medium

  [ Thomas Goirand ]
  * Apply debdiff from Ubuntu (Closes: #898663):
    - d/p/fix-test-run.py.patch: Dropped. No longer needed.
  * Add Fix_the_tests_on_Python_3.7.patch.

  [ Mattia Rizzolo ]
  * Use an alternate dependency on libpython3.5-stdlib for python3-distutils,
    which is not available in stretch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 May 2018 10:17:20 +0200

python-testtools (2.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add missing python3-distutils runtime depends: (Closes: #894771).
  * Set team+openstack@tracker.debian.org as maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2018 16:37:46 +0200

=== debian/control ===
Source: python-testtools
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Jelmer Vernooij <jelmer@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-extras,
 python3-fixtures,
 python3-linecache2,
 python3-mimeparse,
 python3-six,
 python3-testresources,
 python3-testscenarios,
 python3-traceback2,
 python3-unittest2,
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-testtools.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-testtools
Homepage: https://github.com/testing-cabal/testtools

Package: python-testtools-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Extensions to the Python unittest library - doc
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the documentation.

Package: python3-testtools
Architecture: all
Depends:
 python3-distutils | libpython3.5-stdlib,
 python3-extras,
 python3-fixtures,
 python3-linecache2,
 python3-mimeparse,
 python3-pbr,
 python3-pkg-resources,
 python3-six,
 python3-traceback2,
 python3-unittest2,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-testtools-doc,
Description: Extensions to the Python unittest library - Python 3.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/testtools/testtools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-testtools 2.5.0

=== Makefile ===
# Copyright (c) 2008-2013 testtools developers. See LICENSE for details.

PYTHON=python
SOURCES=$(shell find testtools -name "*.py")

check:
	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run testtools.tests.test_suite

TAGS: ${SOURCES}
	ctags -e -R testtools/

tags: ${SOURCES}
	ctags -R testtools/

clean: clean-sphinx
	rm -f TAGS tags
	find testtools -name "*.pyc" -exec rm '{}' \;

prerelease:
	# An existing MANIFEST breaks distutils sometimes. Avoid that.
	-rm MANIFEST

release:
	./setup.py sdist bdist_wheel upload --sign
	$(PYTHON) scripts/_lp_release.py

snapshot: prerelease
	./setup.py sdist bdist_wheel

### Documentation ###

apidocs:
	# pydoctor emits deprecation warnings under Ubuntu 10.10 LTS
	PYTHONWARNINGS='ignore::DeprecationWarning' \
		pydoctor --make-html --add-package testtools \
		--docformat=restructuredtext --project-name=testtools \
		--project-url=https://github.com/testing-cabal/testtools

doc/news.rst:
	ln -s ../NEWS doc/news.rst

docs: doc/news.rst docs-sphinx
	rm doc/news.rst

docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc && make clean

# Build the html docs using Sphinx.
html-sphinx:
	cd doc && make html

.PHONY: apidocs docs-sphinx clean-sphinx html-sphinx docs
.PHONY: check clean prerelease release

=== requirements.txt ===
pbr>=0.11
# TODO(stephenfin): Remove this once fixtures no longer depends on extras
# or explicitly specifies the dependency
extras>=1.0.0
fixtures>=1.3.0

=== debian/changelog ===
python-testtools (2.5.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-testtools-doc: Add Multi-Arch: foreign.

  [ Thomas Goirand ]
  * Add upstream py3.11 patches (Closes: #1026579):
    - py3.11-Fix_various_test_failures.patch
    - py3.11-Upgrade_asserts_with_teyit.patch
  * Fix testing distutils (my own patch):
    - py3.11-fix-using-distribution.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Dec 2022 13:53:30 +0100

python-testtools (2.5.0-3) unstable; urgency=medium

  * Add fix-testing-test_syntax_error.patch (Closes: #1002440).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 14:21:40 +0100

python-testtools (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:35:42 +0200

python-testtools (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, removing lots of depends.
  * Rebase / refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:47:40 +0200

python-testtools (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch file.
  * Add a debian/salsa-ci.yml.
  * Add remove-test_syntax_error_line_utf_8.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:24:30 +0200

python-testtools (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fix_the_tests_on_Python_3.7.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 17:12:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-testtools
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Jelmer Vernooij <jelmer@debian.org>,
@@ -17,13 +16,8 @@
 Build-Depends-Indep:
  python3-extras,
  python3-fixtures,
- python3-linecache2,
- python3-mimeparse,
- python3-six,
  python3-testresources,
  python3-testscenarios,
- python3-traceback2,
- python3-unittest2,
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-testtools.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-testtools
@@ -35,6 +29,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Extensions to the Python unittest library - doc
  testtools (formerly pyunit3k) is a set of extensions to the Python standard
  library's unit testing framework. These extensions have been derived from
@@ -51,13 +46,8 @@
  python3-distutils | libpython3.5-stdlib,
  python3-extras,
  python3-fixtures,
- python3-linecache2,
- python3-mimeparse,
  python3-pbr,
  python3-pkg-resources,
- python3-six,
- python3-traceback2,
- python3-unittest2,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/tests/control ===
Tests: testsuite-py3
Depends:
 python3-testscenarios,
 python3-testtools,
Restrictions: allow-stderr

## python-testtools 2.6.0

=== requirements.txt ===
pbr>=0.11
fixtures>=2.0

=== debian/changelog ===
python-testtools (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:51:10 +0200

python-testtools (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (b-)depends for this release.
  * Removed patches applied upstream:
    - py3.11-Fix_various_test_failures.patch
    - py3.11-Upgrade_asserts_with_teyit.patch
    - py3.11-fix-using-distribution.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:37:55 +0200

python-testtools (2.5.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1047778).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 14:36:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-extras,
  python3-fixtures,
  python3-testresources,
  python3-testscenarios,
@@ -43,8 +42,7 @@
 Package: python3-testtools
 Architecture: all
 Depends:
- python3-distutils | libpython3.5-stdlib,
- python3-extras,
+ python3-distutils,
  python3-fixtures,
  python3-pbr,
  python3-pkg-resources,

## python-testtools 2.7.1

=== debian/changelog ===
python-testtools (2.7.1-3) unstable; urgency=medium

  * Drop dependencies on python3-distutils (Closes: #1065938).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:37:05 +0100

python-testtools (2.7.1-2) unstable; urgency=medium

  * Switch to pybuild.
  * Add missing build-depends (hach-vcs, hatching...).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2024 11:37:25 +0100

python-testtools (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-setuptools-scm as build-depends.
  * Export SETUPTOOLS_SCM_PRETEND_VERSION in d/rules.
  * Add python3-twisted as build-depends.
  * Fix autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 10:31:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,20 @@
  debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
+ python3-hatch-vcs,
+ python3-mypy,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
 Build-Depends-Indep:
  python3-fixtures,
  python3-testresources,
  python3-testscenarios,
+ python3-twisted,
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-testtools.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-testtools
@@ -42,7 +48,6 @@
 Package: python3-testtools
 Architecture: all
 Depends:
- python3-distutils,
  python3-fixtures,
  python3-pbr,
  python3-pkg-resources,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/testtools.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=http://127.0.0.1:9
export https_proxy=http://127.0.0.1:9

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)
export PYBUILD_NAME=testtools

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .pybuild *.egg-info testtools/_version.py
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html
	dh_sphinxdoc
	# Remove empty git placeholder files that make lintian unhappy.
	rm -f $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html/_static/placeholder.txt
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run testtools.tests.test_suite ; \
	done
endif

=== debian/tests/control ===
Tests: testsuite-py3
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-testtools 2.7.2

=== requirements.txt ===
fixtures>=2.0

=== debian/changelog ===
python-testtools (2.7.2-5) unstable; urgency=medium

  * Drop now obsolete python3-pbr dependency.
  * Uploaders: fix spelling of my last name.
  * Move python3-fixtures dependency (only necessary for twisted
    integration) to Suggests.
  * Add missing suggests on python3-twisted.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 26 Feb 2025 02:45:59 +0000

python-testtools (2.7.2-4) unstable; urgency=medium

  * Add Prepare_tests_for_upcoming_twisted_version.patch.
  * Re-enable TestAsynchronousDeferredRunTest tests skiped in 2.7.2-2.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Nov 2024 09:31:24 +0100

python-testtools (2.7.2-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resource (Closes: #1083715).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 10:40:05 +0200

python-testtools (2.7.2-2) unstable; urgency=medium

  * Disable failing twisted tests (Closes: #1082697):
    - TestAsynchronousDeferredRunTest.test_log_in_details
    - TestAsynchronousDeferredRunTest.test_log_to_twisted

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2024 09:59:04 +0200

python-testtools (2.7.2-1) unstable; urgency=medium

  * New upstream release:
    - fix FTBFS is numerous package using testools (Closes: #1073381).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2024 09:42:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Jelmer Vernooij <jelmer@debian.org>,
+ Jelmer Vernooĳ <jelmer@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-vcs,
  python3-hatchling,
- python3-hatch-vcs,
  python3-mypy,
- python3-pbr,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
@@ -48,13 +47,13 @@
 Package: python3-testtools
 Architecture: all
 Depends:
- python3-fixtures,
- python3-pbr,
- python3-pkg-resources,
+ python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  python-testtools-doc,
+ python3-fixtures,
+ python3-twisted,
 Description: Extensions to the Python unittest library - Python 3.x
  testtools (formerly pyunit3k) is a set of extensions to the Python standard
  library's unit testing framework. These extensions have been derived from

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 UPSTREAM_GIT := https://github.com/testing-cabal/testtools.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=http://127.0.0.1:9
-export https_proxy=http://127.0.0.1:9
+#export http_proxy=http://127.0.0.1:9
+#export https_proxy=http://127.0.0.1:9
 
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)
 export PYBUILD_NAME=testtools

## python-testtools 2.8.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Copyright (c) 2008-2013 testtools developers. See LICENSE for details.
 
-PYTHON=python
+PYTHON=python3
 SOURCES=$(shell find testtools -name "*.py")
 
 check:
-	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run testtools.tests.test_suite
+	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run tests.test_suite
 
 TAGS: ${SOURCES}
 	ctags -e -R testtools/
@@ -21,11 +21,12 @@
 	-rm MANIFEST
 
 release:
-	./setup.py sdist bdist_wheel upload --sign
-	$(PYTHON) scripts/_lp_release.py
+	hatchling build
+	twine upload dist/testtools-$(shell hatchling version)-*
+	gpg -a --detach-sign dist/testtools-$(shell hatchling version).tar.gz
 
 snapshot: prerelease
-	./setup.py sdist bdist_wheel
+	hatchling build
 
 ### Documentation ###
 
@@ -50,7 +51,7 @@
 
 # Build the html docs using Sphinx.
 html-sphinx:
-	cd doc && make html
+	cd doc && PYTHONPATH=.. make html
 
 .PHONY: apidocs docs-sphinx clean-sphinx html-sphinx docs
 .PHONY: check clean prerelease release

=== debian/changelog ===
python-testtools (2.8.2-2) unstable; urgency=medium

  * Fixed executing autopkgtest.
  * Add python-3.14-remove-broken-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jan 2026 12:13:57 +0100

python-testtools (2.8.2-1) unstable; urgency=medium

  * New upstream release.
   + Fixes compatibility with newer versions of Python. Closes: #1123458
  * Drop obsolete patch
    Prepare_tests_for_upcoming_twisted_version.patch: fixed upstream.
  * Drop obsolete patch removed-setuptools-from-pyproject-
    dependencies.patch: fixed upstream.
  * Drop obsolete patch neutralize-failing-test.patch: fixed upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 21 Dec 2025 04:07:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	set -ex ; for pyvers in $(PYTHON3S); do \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run testtools.tests.test_suite ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run tests.test_suite ; \
 	done
 endif
